{
    attributes = (
        {
            columnName = "CE_ORDRE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "CM_ORDRE"; }; 
            name = ceOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "FOU_ORDRE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "CM_ORDRE"; }; 
            name = fouOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (ceOrdre, fouOrdre); 
    className = "org.cocktail.fwkcktldepense.server.metier.EOCodeMarcheFour"; 
    classProperties = (codeExer, fournisseur); 
    externalName = "JEFY_DEPENSE.V_CODE_MARCHE_FOUR"; 
    internalInfo = {
        "_clientClassPropertyNames" = (fournisseur, codeExer); 
        "_javaClientClassName" = "org.cocktail.fwkcktldepense.client.metier.EOCodeMarcheFour"; 
    }; 
    name = FwkCaramboleCodeMarcheFour; 
    primaryKeyAttributes = (ceOrdre, fouOrdre); 
    relationships = (
        {
            destination = FwkCaramboleCodeExer; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = ceOrdre; sourceAttribute = ceOrdre; }); 
            name = codeExer; 
        }, 
        {
            destination = FwkCaramboleFournisseur; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fouOrdre; sourceAttribute = fouOrdre; }); 
            name = fournisseur; 
        }
    ); 
}
